Name:           anaconda-webui
Version:        15
Release:        1.20240920124306180772.main.21.gef25a33%{?dist}
Summary:        Anaconda installer Web interface
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/rhinstaller/%{name}

Source0:        anaconda-webui-15.21.gef25a33.tar.xz
BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  gettext

%global anacondacorever 0

%if 0%{?fedora} >= 40
%global anacondacorever 40.22.2
%endif

%if 0%{?fedora} >= 41
%global anacondacorever 41.2
%endif

%global cockpitver 275
%global cockpitstorver 311

Requires: cockpit-storaged >= %{cockpitstorver}
Requires: cockpit-bridge >= %{cockpitver}
Requires: cockpit-ws >= %{cockpitver}
Requires: anaconda-core  >= %{anacondacorever}
# Firefox dependency needs to be specified there as cockpit web-view does not have a hard dependency on Firefox as
# it can often fall back to a diferent browser. This does not work in the limited installer
# environment, so we need to make sure Firefox is available. Exclude on RHEL, only Flatpak version will be there.
%if ! 0%{?rhel}
Requires: firefox
%endif
%if 0%{?fedora}
Requires: fedora-logos
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.0
Provides: bundled(npm(@patternfly/react-core)) = 5.4.0
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.0
Provides: bundled(npm(@patternfly/react-log-viewer)) = 5.3.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.0
Provides: bundled(npm(@patternfly/react-table)) = 5.4.0
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.0
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.4
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(memoize-one)) = 5.2.1
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.7.0

%description
Anaconda installer Web interface

%prep
%setup -q -n anaconda-webui

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%check
exit 0
# We have some integration tests, but those require running a VM, so that would
# be an overkill for RPM check script.

%files
%dir %{_datadir}/cockpit/anaconda-webui
%doc README.rst
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/logo.svg
%{_datadir}/cockpit/anaconda-webui/qr-code-feedback.svg
%{_datadir}/cockpit/anaconda-webui/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/index.html
%{_datadir}/cockpit/anaconda-webui/index.js.gz
%{_datadir}/cockpit/anaconda-webui/index.js.map
%{_datadir}/cockpit/anaconda-webui/index.css.gz
%{_datadir}/cockpit/anaconda-webui/index.css.map
%{_datadir}/cockpit/anaconda-webui/manifest.json
%{_datadir}/metainfo/org.cockpit-project.anaconda-webui.metainfo.xml
%{_datadir}/cockpit/anaconda-webui/po.*.js.gz
%dir %{_datadir}/anaconda/firefox-theme
%dir %{_datadir}/anaconda/firefox-theme/default
%dir %{_datadir}/anaconda/firefox-theme/default/chrome
%{_datadir}/anaconda/firefox-theme/default/user.js
%{_datadir}/anaconda/firefox-theme/default/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/live
%dir %{_datadir}/anaconda/firefox-theme/live/chrome
%{_datadir}/anaconda/firefox-theme/live/user.js
%{_datadir}/anaconda/firefox-theme/live/chrome/userChrome.css
%{_libexecdir}/anaconda/webui-desktop


# The changelog is automatically generated and merged
%changelog
* Fri Sep 20 2024 Packit <hello@packit.dev> - 15-1.20240920124306180772.main.21.gef25a33
- storage: mount point assignment: introduce extra checks for unusable devices (Katerina Koukiou)
- storage: mount point assignment: dont get confused with disk devices in mount point  assignment (Katerina Koukiou)
- storage: move 'Modify storage' to the header kebab (Katerina Koukiou)
- storage: utilize Patternfly's FormSections in the disk selection (Katerina Koukiou)
- storage: re-design the disk selection component (Katerina Koukiou)
- Makefile: Update Cockpit lib to 74f35694c68bc2de617051a7b8753527 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Reimplement error handling using error boundaries (Katerina Koukiou)
- components: common: remove AddressContext provider as it's not used (Katerina Koukiou)
- Makefile: Update Cockpit lib to 6592edae73384b8eb00cf8dee292f26e (Cockpit Project)
- components: error: fix incorrect variable access when handling backend exceptions (Katerina Koukiou)
- infra: bump sass from 1.77.8 to 1.78.0 (dependabot[bot])
- storage: mount point assignment: show partition labels in device selection (Katerina Koukiou)
